Subject: bug#6116: Emacs 23 is sluggish with Consolas font

From: Óscar Fuentes <[email-masked]>
Date: Sun, 18 Jul 2010 17:51:31 +0200

Christoph <[email-masked]> writes:

> I tried this again.
>
> Setting the font size to 11 and not resizing the window after startup
> (i.e. 38x80), I don't see it either.
>
> If I maximize the screen vertically to 56x80, it does happen.
>
> However, turning off Consolas (and switching to Courier New) and
> maximizing vertically it does happen too, but maybe not as often.
>
> It seems to be a general redisplay problem, if the screen area to be
> redrawn exceeds a certain size.
>
> I initially only tested this with my .emacs configuration, but it does
> the same with `emacs -Q'.

I just tried this:

runemacs -Q
M-x eval-expression ENTER (setq scroll-step 1) ENTER
<maximize the frame vertically>
C-h t
C-n ...

it occasionally recenters, but never gets stuck as described on the
original report. It doesn't matter if I use Courier New or Consolas.